UI::Util::FsInfo Class Reference

File system information abstraction. More...

`#include <File.hpp>`

Collaboration diagram for UI::Util::FsInfo:

## Public Member Functions

| FsInfo (std::string const &dev, std::string const &file)
uint64_t | getTotal () const
uint64_t | getAvail () const
uint64_t | getFree () const
uint64_t | getUsed () const

## Detailed Description

File system information abstraction.

Note
  All methods always return (amounts of) 1024 byte blocks. Calculation is done via float for simplicity – minor rounding errors may occur.

The documentation for this class was generated from the following files:

- File.hpp
- File.cpp